Name:           libopensync-plugin-gnokii
Version:        0.22
Release:        3%{?dist}
Summary:        gnokii plugin for libopensync

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.opensync.org
# see http://www.opensync.org/wiki/download
Source0:        %{name}-%{version}.tar.bz2
Patch0:		libopensync-plugin-gnokii_enum.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libopensync-devel
BuildRequires:  pkgconfig gnokii-devel
Requires:	libopensync

%description
gnokii plugin for use with libopensync.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name *.la -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/opensync/plugins/gnokii_sync.so
%{_libdir}/opensync/formats/gnokii.so
%{_datadir}/opensync/defaults/gnokii-sync

%changelog
* Sat Nov 24 2007 josef radinger <cheese@nosuchhost.net> 
- 0.22-3
- remove rpm-scripts
- modify description
- better Requires

* Sat Nov 24 2007 josef radinger <cheese@nosuchhost.net> 
- 0.22-2
- fresh rebuild for fc8
- license
- add Changelog, README to docs
- patch to get rid of compile-error because of enum-errors

* Sat Jun 30 2007 josef radinger <cheese@nosuchhost.net> 
- 0.22-1
- initial version 
- template for spec-file taken from libopensync-plugin-syncml

